package com.docus.server.infrastructure.dao;

import com.docus.infrastructure.core.db.dao.IBaseDao;
import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.TaskTerminatorCollect;

import java.util.List;

/**
 * <p>
 * 采集记录表（终端） ITaskTerminatorCollectDao 数据访问接口
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-12
 */
public interface ITaskTerminatorCollectDao extends IBaseDao<TaskTerminatorCollect> {

    TaskTerminatorCollect findById(String id);

    boolean add(TaskTerminatorCollect taskTerminatorCollect);

    boolean edit(TaskTerminatorCollect taskTerminatorCollect);

    int delete(List<String> ids);

    PageResult<TaskTerminatorCollect> search(SearchRequest searchRequest);

}
