package com.docus.server.service;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.TaskOperationLog;

import java.util.List;

/**
 * <p>
 * 采集器版本更新日志管理（终端） ITaskOperationLogService 服务接口
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-12
 */
public interface ITaskOperationLogService {

    TaskOperationLog findById(String id);

    boolean add(TaskOperationLog taskOperationLog);

    boolean edit(TaskOperationLog taskOperationLog);

    int delete(List<String> ids);

    PageResult<TaskOperationLog> search(SearchRequest searchRequest);
}
