package com.docus.server.service;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.TaskTerminatorCollect;

import java.util.List;

/**
 * <p>
 * 采集记录表（终端） ITaskTerminatorCollectService 服务接口
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-12
 */
public interface ITaskTerminatorCollectService {

    TaskTerminatorCollect findById(String id);

    boolean add(TaskTerminatorCollect taskTerminatorCollect);

    boolean edit(TaskTerminatorCollect taskTerminatorCollect);

    int delete(List<String> ids);

    PageResult<TaskTerminatorCollect> search(SearchRequest searchRequest);
}
