package com.docus.server.infrastructure.dao;

import com.docus.infrastructure.core.db.dao.IBaseDao;
import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.TaskTerminatorCollectRetryLog;

import java.util.List;

/**
 * <p>
 * 采集记录表重试表（终端） ITaskTerminatorCollectRetryLogDao 数据访问接口
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-12
 */
public interface ITaskTerminatorCollectRetryLogDao extends IBaseDao<TaskTerminatorCollectRetryLog> {

    TaskTerminatorCollectRetryLog findById(String id);

    boolean add(TaskTerminatorCollectRetryLog taskTerminatorCollectRetryLog);

    boolean edit(TaskTerminatorCollectRetryLog taskTerminatorCollectRetryLog);

    int delete(List<String> ids);

    PageResult<TaskTerminatorCollectRetryLog> search(SearchRequest searchRequest);

}
