package com.docus.server.infrastructure.dao;

import com.docus.infrastructure.core.db.dao.IBaseDao;
import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.TaskTerminatorErrorLog;

import java.util.List;

/**
 * <p>
 * 采集器异常日志（采集器终端） ITaskTerminatorErrorLogDao 数据访问接口
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-12
 */
public interface ITaskTerminatorErrorLogDao extends IBaseDao<TaskTerminatorErrorLog> {

    TaskTerminatorErrorLog findById(String id);

    boolean add(TaskTerminatorErrorLog taskTerminatorErrorLog);

    boolean edit(TaskTerminatorErrorLog taskTerminatorErrorLog);

    int delete(List<String> ids);

    PageResult<TaskTerminatorErrorLog> search(SearchRequest searchRequest);

}
