package com.docus.server.infrastructure.dao;

import com.docus.infrastructure.core.db.dao.IBaseDao;
import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.TaskTerminatorVirtualLog;

import java.util.List;

/**
 * <p>
 * 虚拟机使用情况（采集器终端） ITaskTerminatorVirtualLogDao 数据访问接口
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-12
 */
public interface ITaskTerminatorVirtualLogDao extends IBaseDao<TaskTerminatorVirtualLog> {

    TaskTerminatorVirtualLog findById(String id);

    boolean add(TaskTerminatorVirtualLog taskTerminatorVirtualLog);

    boolean edit(TaskTerminatorVirtualLog taskTerminatorVirtualLog);

    int delete(List<String> ids);

    PageResult<TaskTerminatorVirtualLog> search(SearchRequest searchRequest);

}
